## fcitx5-lua 5.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(fcitx5-lua VERSION 5.0.3)

find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

include(FeatureSummary)
include(GNUInstallDirs)
include(ECMSetupVersion)
include(ECMUninstallTarget)

find_package(Lua 5.3 REQUIRED)
find_package(Fcitx5Core REQUIRED)
find_package(Gettext REQUIRED)
find_package(Pthread REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend TestIM QuickPhrase)

option(USE_DLOPEN "Use dlopen to load lua library." On)

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
include(Helper)

if (NOT TARGET Lua::_LuaLibrary)
    if (USE_DLOPEN)
        add_library(Lua::_LuaLibrary IMPORTED INTERFACE)
        set_target_properties(Lua::_LuaLibrary PROPERTIES
            INTERFACE_INCLUDE_DIRECTORIES ${LUA_INCLUDE_DIR})
    else()
        add_library(Lua::_LuaLibrary UNKNOWN IMPORTED ${LUA_LIBRARY})
        set_target_properties(Lua::_LuaLibrary PROPERTIES
            INTERFACE_INCLUDE_DIRECTORIES ${LUA_INCLUDE_DIR}
            IMPORTED_LOCATION ${LUA_LIBRARY})
    endif()
endif()

configure_file(config.h.in config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-lua\")
fcitx5_add_i18n_definition()

enable_testing()
add_subdirectory(src)
add_subdirectory(test)
add_subdirectory(po)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Lua.metainfo.xml.in
    org.fcitx.Fcitx5.Addon.Lua.metainfo.xml XML)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Lua.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_subdirectory(addonloader)
add_subdirectory(file2cstring)
add_subdirectory(imeapi)

=== src/addonloader/CMakeLists.txt ===
add_library(luaaddonloader MODULE luastate.cpp luaaddonstate.cpp luaaddonloader.cpp luaaddon.cpp luahelper.cpp ${CMAKE_CURRENT_BINARY_DIR}/baselua.h)
target_link_libraries(luaaddonloader Lua::_LuaLibrary Fcitx5::Core Fcitx5::Module::QuickPhrase)
target_include_directories(luaaddonloader PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
set_target_properties(luaaddonloader PROPERTIES PREFIX "")
install(TARGETS luaaddonloader DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")

file2cstring(baselua base.lua)

fcitx5_translate_desktop_file(luaaddonloader.conf.in luaaddonloader.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/luaaddonloader.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

fcitx5_export_module(LuaAddonLoader TARGET luaaddonloader BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS luaaddon_public.h INSTALL)

=== src/file2cstring/CMakeLists.txt ===
add_executable(file2cstring file2cstring.cpp)

=== src/imeapi/CMakeLists.txt ===
fcitx5_translate_desktop_file(imeapi.conf.in imeapi.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/imeapi.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

install(FILES imeapi.lua DESTINATION "${FCITX_INSTALL_PKGDATADIR}/lua/imeapi")

=== debian/changelog ===
fcitx5-lua (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 22:34:42 +0800

fcitx5-lua (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Update Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jan 2021 02:49:07 +0800

fcitx5-lua (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bump fcitx5 to 5.0.2
  * Add appstream to Build-Depends
  * Fix lintian capitalization-error-in-description

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 22:28:01 +0800

fcitx5-lua (5.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Boyuan Yang ]
  * debian/: Split arch-indep files into -common package

  [ Shengjing Zhu ]
  * New upstream release
  * Bump fcitx5 to 5.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 07 Nov 2020 01:53:57 +0800

fcitx5-lua (0.0~git20200610.8ad9929-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jul 2020 13:37:41 -0400

=== debian/control ===
Source: fcitx5-lua
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream,
 cmake (>= 3.4),
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-modules-dev (>= 5.0.2),
 gettext,
 libfcitx5core-dev (>= 5.0.2),
 liblua5.3-dev,
 pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/fcitx/fcitx5-lua
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-lua.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-lua

Package: fcitx5-module-lua
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-lua-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lua support for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the Lua support for Fcitx5.

Package: fcitx5-module-lua-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Lua support for fcitx5 (common files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the architecture-independent files for fcitx5
 Lua module.

Package: fcitx5-module-lua-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 fcitx5-module-lua (= ${binary:Version}),
 ${misc:Depends},
Description: Lua support for fcitx5 (development files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the development files for fcitx5 Lua module.

## fcitx5-lua 5.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.10)
-project(fcitx5-lua VERSION 5.0.3)
+project(fcitx5-lua VERSION 5.0.6)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== src/addonloader/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,8 @@
 
 file2cstring(baselua base.lua)
 
-fcitx5_translate_desktop_file(luaaddonloader.conf.in luaaddonloader.conf)
+configure_file(luaaddonloader.conf.in.in luaaddonloader.conf.in)
+fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/luaaddonloader.conf.in" luaaddonloader.conf)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/luaaddonloader.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
 
 fcitx5_export_module(LuaAddonLoader TARGET luaaddonloader BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS luaaddon_public.h INSTALL)

=== src/imeapi/CMakeLists.txt ===
configure_file(imeapi.conf.in.in imeapi.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/imeapi.conf.in" imeapi.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/imeapi.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

install(FILES imeapi.lua DESTINATION "${FCITX_INSTALL_PKGDATADIR}/lua/imeapi")

=== test/addon/CMakeLists.txt ===
add_custom_target(copy DEPENDS luaaddonloader.conf.in-fmt imeapi.conf.in-fmt testlua.conf)
add_custom_command(TARGET copy COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/src/addonloader/luaaddonloader.conf ${CMAKE_CURRENT_BINARY_DIR}/luaaddonloader.conf)
add_custom_command(TARGET copy COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/src/imeapi/imeapi.conf ${CMAKE_CURRENT_BINARY_DIR}/imeapi.conf)
add_custom_command(TARGET copy COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/testlua.conf ${CMAKE_CURRENT_BINARY_DIR})

=== debian/changelog ===
fcitx5-lua (5.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Feb 2022 17:40:15 -0500

fcitx5-lua (5.0.5-2) unstable; urgency=medium

  * Team upload.
  * Fix typo in package description

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 03:16:05 +0800

fcitx5-lua (5.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 25 Aug 2021 13:27:10 +0800

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  liblua5.3-dev,
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/fcitx/fcitx5-lua
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-lua.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-lua
@@ -29,7 +29,7 @@
  ${shlibs:Depends},
 Description: Lua support for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
+ provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
  for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
  environments and a developer-friendly API.
@@ -48,7 +48,7 @@
  ${misc:Depends},
 Description: Lua support for fcitx5 (common files)
  Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
+ provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
  for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
  environments and a developer-friendly API.
@@ -70,7 +70,7 @@
  ${misc:Depends},
 Description: Lua support for fcitx5 (development files)
  Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
+ provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
  for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
  environments and a developer-friendly API.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/fcitx5-lua \
  refs/tags/@ANY_VERSION@ debian

## fcitx5-lua 5.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.10)
-project(fcitx5-lua VERSION 5.0.6)
+project(fcitx5-lua VERSION 5.0.7)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -16,9 +16,9 @@
 find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend TestIM QuickPhrase)
 
 option(USE_DLOPEN "Use dlopen to load lua library." On)
+option(ENABLE_TEST "Build Test" On)
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
-include(Helper)
 
 if (NOT TARGET Lua::_LuaLibrary)
     if (USE_DLOPEN)
@@ -33,15 +33,41 @@
     endif()
 endif()
 
+function(_RESOLVE_LIBRARY_PATH _FILE_NAME _LIBRARY_PATH)
+    if (CMAKE_OBJDUMP)
+        execute_process (
+            COMMAND ${CMAKE_OBJDUMP} -p "${_LIBRARY_PATH}"
+            RESULT_VARIABLE STATUS
+            OUTPUT_VARIABLE OBJDUMP_RESULT
+            ERROR_QUIET
+        )
+        string(REGEX REPLACE ".*SONAME +([^ ]+)\n.*$" "\\1" SONAME_OUT "${OBJDUMP_RESULT}")
+        if (SONAME_OUT)
+            set(_FILE_NAME_OUT "${SONAME_OUT}")
+        endif ()
+    endif()
+    if (NOT _FILE_NAME_OUT)
+        get_filename_component(_FILE_NAME_OUT "${_LIBRARY_PATH}" NAME)
+    endif()
+    set(${_FILE_NAME} ${_FILE_NAME_OUT} PARENT_SCOPE)
+endfunction()
+
+if(USE_DLOPEN)
+    _RESOLVE_LIBRARY_PATH(LUA_LIBRARY_PATH  ${LUA_LIBRARY})
+endif()
+
 configure_file(config.h.in config.h)
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-lua\")
 fcitx5_add_i18n_definition()
 
-enable_testing()
 add_subdirectory(src)
-add_subdirectory(test)
 add_subdirectory(po)
+
+if (ENABLE_TEST)
+    enable_testing()
+    add_subdirectory(test)
+endif()
 
 fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Lua.metainfo.xml.in
     org.fcitx.Fcitx5.Addon.Lua.metainfo.xml XML)

=== debian/changelog ===
fcitx5-lua (5.0.7-1deepin0) unstable; urgency=medium

  [ Debian Input Method Team ]
  * update

  [ Tianyu Chen ]
  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:46:39 +0800

fcitx5-lua (5.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 10:54:33 -0400

## fcitx5-lua 5.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.10)
-project(fcitx5-lua VERSION 5.0.7)
+project(fcitx5-lua VERSION 5.0.9)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-lua (5.0.9-2) unstable; urgency=medium

  * debian/patches: Cherry-pick upstream fix on enum value.
  * debian/control: Hardcode dlopen library dependency liblua5.3-0.
    (Closes: #1017788)

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Aug 2022 11:05:08 -0400

fcitx5-lua (5.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 09:59:24 -0400

fcitx5-lua (5.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 May 2022 17:18:04 -0400

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
 Multi-Arch: same
 Depends:
  fcitx5-module-lua-common (= ${source:Version}),
+ liblua5.3-0,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Lua support for fcitx5

## fcitx5-lua 5.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.10)
-project(fcitx5-lua VERSION 5.0.9)
+project(fcitx5-lua VERSION 5.0.10)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== src/addonloader/CMakeLists.txt ===
add_library(luaaddonloader MODULE luastate.cpp luaaddonstate.cpp luaaddonloader.cpp luaaddon.cpp luahelper.cpp)
target_link_libraries(luaaddonloader Lua::_LuaLibrary Fcitx5::Core Fcitx5::Module::QuickPhrase)
target_include_directories(luaaddonloader PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
install(TARGETS luaaddonloader DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")

file(READ "base.lua" BASE_LUA_CONTENT)
configure_file(base.lua.h.in ${CMAKE_CURRENT_BINARY_DIR}/base.lua.h @ONLY)

configure_file(luaaddonloader.conf.in.in luaaddonloader.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/luaaddonloader.conf.in" luaaddonloader.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/luaaddonloader.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
        COMPONENT config)

fcitx5_export_module(LuaAddonLoader TARGET luaaddonloader BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS luaaddon_public.h INSTALL)

=== debian/changelog ===
fcitx5-lua (5.0.10-1) unstable; urgency=medium

  * New upstream release.
  * Switch to upstream tarball.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Sep 2022 16:17:05 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  liblua5.3-dev,
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/fcitx/fcitx5-lua
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-lua.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-lua

## fcitx5-lua 5.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.10)
-project(fcitx5-lua VERSION 5.0.10)
+project(fcitx5-lua VERSION 5.0.12)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -13,7 +13,7 @@
 find_package(Fcitx5Core REQUIRED)
 find_package(Gettext REQUIRED)
 find_package(Pthread REQUIRED)
-find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend TestIM QuickPhrase)
+find_package(Fcitx5Module REQUIRED COMPONENTS QuickPhrase)
 
 option(USE_DLOPEN "Use dlopen to load lua library." On)
 option(ENABLE_TEST "Build Test" On)
@@ -65,6 +65,8 @@
 add_subdirectory(po)
 
 if (ENABLE_TEST)
+    find_package(Fcitx5ModuleTestFrontend REQUIRED)
+    find_package(Fcitx5ModuleTestIM REQUIRED)
     enable_testing()
     add_subdirectory(test)
 endif()

=== src/imeapi/CMakeLists.txt ===
configure_file(imeapi.conf.in.in imeapi.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/imeapi.conf.in" imeapi.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/imeapi.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
        COMPONENT config)

install(FILES imeapi.lua DESTINATION "${FCITX_INSTALL_PKGDATADIR}/lua/imeapi"
        COMPONENT config)

=== debian/changelog ===
fcitx5-lua (5.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jan 2024 15:16:41 -0500

fcitx5-lua (5.0.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Oct 2023 09:03:28 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  appstream,
- cmake (>= 3.4),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  fcitx5-modules-dev (>= 5.0.2),

## fcitx5-lua 5.0.13

=== debian/changelog ===
fcitx5-lua (5.0.13-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 May 2024 17:56:41 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  liblua5.3-dev,
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-lua
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-lua.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-lua

## fcitx5-lua 5.0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 cmake_minimum_required(VERSION 3.10)
-project(fcitx5-lua VERSION 5.0.12)
+project(fcitx5-lua VERSION 5.0.14)
 
+set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
@@ -10,7 +11,7 @@
 include(ECMUninstallTarget)
 
 find_package(Lua 5.3 REQUIRED)
-find_package(Fcitx5Core REQUIRED)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Gettext REQUIRED)
 find_package(Pthread REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS QuickPhrase)

=== debian/changelog ===
fcitx5-lua (5.0.14-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 10:26:52 -0500

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
  extra-cmake-modules,
  fcitx5-modules-dev (>= 5.0.2),
  gettext,
- libfcitx5core-dev (>= 5.0.2),
+ libfcitx5core-dev (>= 5.1.12),
  liblua5.3-dev,
- pkg-config,
+ pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/fcitx/fcitx5-lua
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-lua.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-lua

## fcitx5-lua 5.0.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.10)
-project(fcitx5-lua VERSION 5.0.14)
+project(fcitx5-lua VERSION 5.0.15)
 
-set(REQUIRED_FCITX_VERSION 5.1.12)
+set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
@@ -18,6 +18,10 @@
 
 option(USE_DLOPEN "Use dlopen to load lua library." On)
 option(ENABLE_TEST "Build Test" On)
+
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-lua)

=== src/CMakeLists.txt ===
add_subdirectory(addonloader)
add_subdirectory(imeapi)

=== test/CMakeLists.txt ===
add_subdirectory(addon)

configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(testlua testlua.cpp)
target_link_libraries(testlua Fcitx5::Core Fcitx5::Module::LuaAddonLoader Fcitx5::Module::TestFrontend
Fcitx5::Module::TestIM Pthread::Pthread)
add_dependencies(testlua luaaddonloader copy luaaddonloader.conf.in-fmt)
add_test(NAME testlua COMMAND testlua)

=== src/addonloader/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-add_library(luaaddonloader MODULE luastate.cpp luaaddonstate.cpp luaaddonloader.cpp luaaddon.cpp luahelper.cpp)
+add_fcitx5_addon(luaaddonloader luastate.cpp luaaddonstate.cpp luaaddonloader.cpp luaaddon.cpp luahelper.cpp)
 target_link_libraries(luaaddonloader Lua::_LuaLibrary Fcitx5::Core Fcitx5::Module::QuickPhrase)
 target_include_directories(luaaddonloader PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
 install(TARGETS luaaddonloader DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")

=== debian/changelog ===
fcitx5-lua (5.0.15-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:42:58 -0400

fcitx5-lua (5.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Aug 2025 21:59:21 -0400

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
  cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev (>= 5.0.2),
+ fcitx5-modules-dev (>= 5.1.14-4~),
  gettext,
- libfcitx5core-dev (>= 5.1.12),
+ libfcitx5core-dev (>= 5.1.14-4~),
  liblua5.3-dev,
  pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/fcitx/fcitx5-lua
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-lua.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-lua

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-lua/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
